# $Revision: 1.23 $, $Date: 2012/03/23 20:03:33 $
Summary:	xcursorgen application - create an X cursor file from a collection of PNG images
Summary(pl.UTF-8):	Aplikacja xcursorgen do tworzenia pliku kursora X ze zbioru obrazów PNG
Name:		xorg-app-xcursorgen
Version:	1.0.5
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xcursorgen-%{version}.tar.bz2
# Source0-md5:	09f56978a62854534deacc8aa8ff3031
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libpng-devel >= 1.2
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXcursor-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xcursorgen creates an X cursor file from a collection of PNG images.

%description -l pl.UTF-8
xcursorgen tworzy plik kursora X ze zbioru obrazów PNG.

%prep
%setup -q -n xcursorgen-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xcursorgen
%{_mandir}/man1/xcursorgen.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xcursorgen.spec,v $
Revision 1.23  2012/03/23 20:03:33  qboosh
- updated to 1.0.5

Revision 1.22  2012/02/07 22:09:06  arekm
- release 2

Revision 1.21  2011/01/29 00:07:50  sparky
- dropped pre-cvs changelog

Revision 1.20  2010/09/24 19:34:27  qboosh
- updated to 1.0.4
- removed obsolete libpng patch

Revision 1.19  2010/01/29 20:11:13  arekm
- rel 3; libpng fix

Revision 1.18  2010/01/29 19:31:28  wiget
 - release 2

Revision 1.17  2009/10/18 20:16:49  qboosh
- updated to 1.0.3

Revision 1.16  2007/08/21 06:01:21  arekm
- up to 1.0.2

Revision 1.15  2007/04/30 19:14:12  qboosh
- descs from man

Revision 1.14  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.12  2006/07/08 17:07:34  aflinta
- rebuild with libpng, release 2

Revision 1.11  2006/05/26 19:12:37  qboosh
- updated to 1.0.1, release 1

Revision 1.10  2006/01/12 14:01:15  qboosh
- 1.0.0 (X11R7.0 release)

Revision 1.9  2005/12/09 14:37:42  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.8  2005/11/19 21:17:24  qboosh
- 0.99.1 (X11R7.0-RC2)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/20 23:01:54  qboosh
- switched to 0.99.0 from X11R7.0-RC1

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:45  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs
